Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class NameHelper

    java.lang.Object
      org.omg.CosNaming.NameHelper

    public abstract class NameHelper

extends Object

A name is a sequence of name components.

Constructor Summary
`NameHelper()`

Method Summary
`static NameComponent[]` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, NameComponent[] that)`
`static NameComponent[]` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, NameComponent[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameHelper

    public NameHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameComponent[] that)

### extract

    public static NameComponent[] extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static NameComponent[] read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             NameComponent[] value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.